help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Need help debuging my `.emacs` file


From: Emanuel Berg
Subject: Re: Need help debuging my `.emacs` file
Date: Tue, 12 Nov 2013 22:14:33 +0100
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/23.4 (gnu/linux)

Glyn Millington <address@hidden> writes:

> Emanuel Berg <address@hidden> writes:
>
>> eccstartup <address@hidden> writes:
>> This line:
>>
>>> (require 'package)
>> is the problem. I also get:
>
> No it isn't :-) With emacs 24, that should work.

The operative word: "should" :)

>>> File error: Cannot open load file, package
>> Because I don't have it, and neither do you.
>
> You don't have it, but perhaps *his* Emacs just can't
> find it!

So perhaps the OP's `load-path' isn't set correctly?

> What OS are you using, OP?
>
>>> Should I download a package.el from
>>> http://marmalade-repo.org/ ?
>>
>> Yes
>
> No - not until you are sure it isn't already there
> somewhere on the system.  Any 'package.el' on
> marmalade is not necessarily the package.el which
> comes bundled with emacs 24.

Well, if you download it and it works as expected I
don't see any reason to be paranoid about it. That's
what I would do, without hesitation. But for the purist
I suppose the right way is to understand why it doesn't
work as it is described in the documentation.

-- 
Emanuel Berg, programmer-for-rent. CV, projects, etc at uXu
underground experts united:  http://user.it.uu.se/~embe8573


reply via email to

[Prev in Thread] Current Thread [Next in Thread]